@echo off

:INIT
setlocal

IF "%~1" == "" (
    echo ERROR.
    GOTO ERROR
)

IF "%~2" == "" (
    echo ERROR.
    GOTO ERROR
)

cd "%~dp0"


set CMDPSQL=%~1
set DBUSER=%~2
set DBNAME=dnpwmldb

IF NOT EXIST .\log (
	mkdir .\log
)

:UPDATE
rem # -------------------------------------
rem # UPDATE v20r41_v20r43
rem # -------------------------------------
set LOGF=.\log\v20r41_v20r43err.log
"%CMDPSQL%" -U "%DBUSER%" -q -h localhost -p 5432 -f ".\v20r41_v20r43\update.sql" -v ON_ERROR_STOP=on %DBNAME% 2> "%LOGF%"
IF NOT %ERRORLEVEL% == 0 (
	echo ERROR.
	GOTO ERROR
)
findstr /I /R "." "%LOGF%"
rem IF %ERRORLEVEL% == 0 (
rem 	echo ERROR.
rem 	GOTO ERROR
rem )

:EXIT
endlocal
exit 0

:ERROR
endlocal
exit 1