SET CLIENT_ENCODING TO 'UTF-8';

-- 管理ツール --

-- ユーザー情報に「iアプリ使用有無」を追加 --
ALTER TABLE tm_user ADD COLUMN iapp CHAR(1);
COMMENT ON COLUMN tm_user.iapp is 'iアプリ使用有無';

-- ユーザー情報に「S!アプリ使用有無」を追加 --
ALTER TABLE tm_user ADD COLUMN sapp CHAR(1);
COMMENT ON COLUMN TM_USER.sapp IS 'S!アプリ使用有無';

-- ライセンス情報の「種別」カラムのサイズを広げる
alter TABLE tm_license alter column termkind type character(2);

-- ライセンス情報の「種別」カラムデータを変更 '0' -> '0N'
update tm_license set termkind='0N' where termkind='0 ';

-- ライセンス情報の「種別」カラムデータを変更 'T' -> '0T'
update tm_license set termkind='0T' where termkind='T ';

-- フォルダ情報の「親フォルダID」をUPDATE--
update tmpr_wml_folder set pfid=NULL where pfid < 0;

-- メール情報に「プレビュー」を追加
ALTER TABLE tmpr_wml_mailinfo000 ADD COLUMN preview VARCHAR(256);
COMMENT ON COLUMN tmpr_wml_mailinfo000.preview IS 'プレビュー';

-- iアプリ･アドオン設定
CREATE TABLE TM_IAPPSETTING (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    iappdlurl                       VARCHAR(255) ,
    CONSTRAINT TM_IAPPSETTING_PK PRIMARY KEY (SID_CORPORATE)
    )
;
ALTER TABLE TM_IAPPSETTING OWNER TO dnpwml;
COMMENT ON TABLE TM_IAPPSETTING IS 'iアプリ･アドオン設定';
COMMENT ON COLUMN TM_IAPPSETTING.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TM_IAPPSETTING.iappdlurl IS 'iアプリダウンロードURL';

-- S!アプリ･アドオン設定
CREATE TABLE TM_SAPPSETTING (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    sappdlurl                       VARCHAR(255) ,
    CONSTRAINT TM_SAPPSETTING_PK PRIMARY KEY (SID_CORPORATE)
    )
;
ALTER TABLE TM_SAPPSETTING OWNER TO dnpwml;
COMMENT ON TABLE TM_SAPPSETTING IS 'S!アプリ･アドオン設定';
COMMENT ON COLUMN TM_SAPPSETTING.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TM_SAPPSETTING.sappdlurl IS 'S!アプリダウンロードURL';

